Bug 1178480 - Storage thresholds should not be inclusive
Summary: Storage thresholds should not be inclusive
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.3
Hardware: All
OS: All
medium
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Vered Volansky
QA Contact: lkuchlan
URL:
Whiteboard:
Depends On:
Blocks: 1184807
TreeView+ depends on / blocked
 
Reported: 2015-01-04 08:26 UTC by Allon Mureinik
Modified: 2019-08-15 04:12 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, less than or equal to (<=) was used in monitoring storage free space. Alerts for low disk space were triggered when they shouldn't have. With this update, when monitoring the storage free space, less than (<) is now used. Alerts for low disk space are now generated appropriately.
Clone Of: 1170263
: 1184807 (view as bug list)
Environment:
Last Closed: 2016-03-09 20:53:47 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 36557 master MERGED core: Fine-tune Storage space alerts policy Never

Comment 2 Allon Mureinik 2015-03-29 18:22:15 UTC
Copied doctext from the zstream clone.

Comment 3 Vered Volansky 2015-04-30 07:40:05 UTC
Hi Judi,
Please note that the doc-text here is as wrong as it is on bz1184807.
When the latter is resolved it's doc-text should be the same here.
Allon, adding you just to put it on your radar as well.

Comment 4 Vered Volansky 2015-04-30 07:55:33 UTC
Verification instructions:
Bare in mind there are two thresholds. Critical is 5GB, Low is 10%, both can be changed through configuration.
If both thresholds are met an audit log error is sent, if just one - a warning.
Note that this logic is somewhat different if the configurable thresholds feature is already in, at which case an error is sent if the critical threshold is met, and a warning if the Low (percentage) threshold is met.

Prioritized tests:
1. Create a storage domain and add disks/a disk so that the remaining space is 5.5GB. Verify there's no message.
Create a storage domain and add disks/a disk so that the remaining space is 10.5% Verify there's no message.
Please note the important thing here are the decimal points. We need any number between 5 and 6 GB or 10 and 11 %, non-inclusive in order to verify this.
Anything >= 6GB and 11% should not yield a message.

2. Verify there are messages for values of 5GB/10% 
3. and bellow.

Comment 5 Julie 2015-05-04 06:43:57 UTC
(In reply to Vered Volansky from comment #3)
> Hi Judi,
> Please note that the doc-text here is as wrong as it is on bz1184807.
> When the latter is resolved it's doc-text should be the same here.
> Allon, adding you just to put it on your radar as well.

Hi Vered,
   My apologies for the delay in response. I somehow didn't pick up the need info for bz1184807. The doc text has been updated in both bugs. Please advise if you any other feedback, and do feel free to shoot me an email or ping me if you feel your need info has been overlooked. 

Apologies again,
Julie

Comment 6 lkuchlan 2015-05-06 09:24:17 UTC
Tested using ovirt-engine-3.6.0-0.0.master.20150412172306.git55ba764

Verification instructions:
1.Create a storage domain and add disks/a disk so that the remaining space is 5GB-6GB and 10%-11%  --> should not be any message  
2.Create a storage domain and add disks/a disk so that the remaining space is  5GB-6GB  and <10%  --> should be a warning message
3.Create a storage domain and add disks/a disk so that the remaining space is  <5GB  and 10%-11%  --> should be a warning message
4.Create a storage domain and add disks/a disk so that the remaining space is  <5GB  and <10%  --> should be an error message

Comment 7 Vered Volansky 2016-02-28 06:10:04 UTC
Julie,
The doc text's update just caught my eye, and it looks like there's a grammar issue:
"Alerts for low disk space were triggered when it shouldn't have"
Should be -
"Alerts for low disk space were triggered when they shouldn't have" .

"it" was correctly used in the original wording.

If you do agree with me, I think there's a clone that's probably also affected.

Comment 8 Julie 2016-02-29 02:11:37 UTC
(In reply to Vered Volansky from comment #7)
> Julie,
> The doc text's update just caught my eye, and it looks like there's a
> grammar issue:
> "Alerts for low disk space were triggered when it shouldn't have"
> Should be -
> "Alerts for low disk space were triggered when they shouldn't have" .
> 
> "it" was correctly used in the original wording.
> 
> If you do agree with me, I think there's a clone that's probably also
> affected.

Hi Vered,
  Thanks for checking the doc text again. I have updated the text in both bugs as requested.

Many thanks,
Julie

Comment 10 errata-xmlrpc 2016-03-09 20:53:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.